<%#
# Application Layout

This view template is used as the layout
for every page that Administrate generates.

By default, it renders:
- Sidebar for navigation
- Content for a search bar
  (if provided by a `content_for` block in a nested page)
- Flashes
- Links to stylesheets and Javascripts
%>

<!DOCTYPE html>
<html lang="<%= I18n.locale %>">
<head>
  <meta charset="utf-8" />
  <meta name="ROBOTS" content="NOODP" />
  <meta name="viewport" content="initial-scale=1" />
  <title><%= content_for(:title) %> | <%= Rails.application.class.parent_name.titlecase %></title>
  <%= stylesheet_link_tag  'administrate', media: 'all', 'data-turbolinks-track': 'reload' %>
  <%= csrf_meta_tags %>
</head>

<body>

  <div class="app-container">

    <div class="sidebar">
      <%= render "sidebar" -%>
    </div>

    <main class="main-content" role="main">
      <%= content_for(:search) %>
      <%= render "flashes" -%>
      <%= yield %>
    </main>

  </div>

  <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
</body>
</html>
